%define version_major 1
%define version_minor 0

Name:		X3DToolKit
Version:	%{version_major}.%{version_minor}
Release:	0

Summary:	X3D toolkit
License:	LGPL
Group:		Libraries/Graphics
Source:		%{name}-%{version}.%{release}.tar.gz
URL:		http://artis.imag.fr/Members/Yannick.Legoc/X3D
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
X3DToolKit is a LGPL free C++ library for loading displaying and
processing X3D models. It has been designed so that extending the
X3D language is easy.

%package devel
Summary: The X3DToolKit header files, documentation and exemples.
Group: Libraries/Graphics
Requires: %{name} = %{version}

%description devel
This package contains the header files for X3DToolKit. It also
includes a reference documentation and some examples.

# %package applications
# Summary: X3DToolKit applications
# Group: Libraries/Graphics
# Requires: %{name} = %{version}

# %description applications
# This package some useful applications that are based on the X3DToolKit.
# x3dviewer lets you display a model, while meshEditor can be used to edit
# a X3D mesh.

%prep
%define prefix /usr/local
%define docdir %{prefix}/share/doc/X3DTK
%define headerdir %{prefix}/include/X3DTK
%define libdir %{prefix}/lib
%setup -q

%build
export QTDIR=/usr/lib/qt3
export PATH=${PATH}:${QTDIR}/bin
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${QTDIR}/lib

cd src
qmake
make
cd -

%install
rm -rf $RPM_BUILD_ROOT

########## Library
%{__install} -d $RPM_BUILD_ROOT%{libdir}
%{__install} --mode=644 lib/libX3DTK.so.%{version} $RPM_BUILD_ROOT%{libdir}
ln -s libX3DTK.so.%{version} $RPM_BUILD_ROOT%{libdir}/libX3DTK.so.%{version_major}
ln -s libX3DTK.so.%{version} $RPM_BUILD_ROOT%{libdir}/libX3DTK.so

########## Header files
%{__install} -d $RPM_BUILD_ROOT%{headerdir}
%{__install} --mode=644 include/X3DTK/*.h $RPM_BUILD_ROOT%{headerdir}

for dir in GL MESH X3D private
do
if [[ -d include/X3DTK/$dir ]]
  then
    %{__install} -d $RPM_BUILD_ROOT%{headerdir}/$dir
    %{__install} --mode=644 include/X3DTK/$dir/*.h $RPM_BUILD_ROOT%{headerdir}/$dir
  fi
done
%{__install} --mode=644 include/X3DTK/private/*.inl $RPM_BUILD_ROOT%{headerdir}/private


########## Examples
%{__install} -d $RPM_BUILD_ROOT%{docdir}/examples
%{__install} --mode=644 examples/*.pro $RPM_BUILD_ROOT%{docdir}/examples/
%{__install} --mode=644 examples/*.pri $RPM_BUILD_ROOT%{docdir}/examples/
for dir in `ls examples`
do
if [[ -d examples/$dir ]]
  then
    %{__install} -d $RPM_BUILD_ROOT%{docdir}/examples/$dir
    %{__install} --mode=644 examples/$dir/* $RPM_BUILD_ROOT%{docdir}/examples/$dir
  fi
done

########## Documentation
%{__install} -d $RPM_BUILD_ROOT%{docdir}
%{__install} --mode=644 INSTALL README LICENCE CHANGELOG $RPM_BUILD_ROOT%{docdir}
%{__install} -d $RPM_BUILD_ROOT%{docdir}
%{__install} --mode=644 web_site/*.html $RPM_BUILD_ROOT%{docdir}
%{__install} --mode=644 web_site/*.jpg $RPM_BUILD_ROOT%{docdir}
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc/html
%{__install} --mode=644 web_site/doc/html/*.html $RPM_BUILD_ROOT%{docdir}/doc/html
%{__install} --mode=644 web_site/doc/html/*.png $RPM_BUILD_ROOT%{docdir}/doc/html
%{__install} --mode=644 web_site/doc/html/*.css $RPM_BUILD_ROOT%{docdir}/doc/html
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs
%{__install} --mode=644 web_site/doc/X3DSpecs/*.html $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs
%{__install} --mode=644 web_site/doc/X3DSpecs/*.gif $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs
%{__install} --mode=644 web_site/doc/X3DSpecs/*.css $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Images
%{__install} --mode=644 web_site/doc/X3DSpecs/Images/* $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Images
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Part01
%{__install} --mode=644 web_site/doc/X3DSpecs/Part01/*.html $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Part01
%{__install} -d $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Part01/components
%{__install} --mode=644 web_site/doc/X3DSpecs/Part01/components/* $RPM_BUILD_ROOT%{docdir}/doc/X3DSpecs/Part01/components


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{libdir}/libX3DTK.so
%{libdir}/libX3DTK.so.%{version_major}
%{libdir}/libX3DTK.so.%{version}


%files devel
%defattr(-,root,root)
%dir %{headerdir}
%{headerdir}/*.h
%dir %{headerdir}/GL
%{headerdir}/GL/*.h
%dir %{headerdir}/MESH
%{headerdir}/MESH/*.h
%dir %{headerdir}/X3D
%{headerdir}/X3D/*.h
%dir %{headerdir}/private
%{headerdir}/private/*.h
%{headerdir}/private/*.inl

%dir %{docdir}
%doc %{docdir}/*.html
%doc %{docdir}/*.jpg
%doc %{docdir}/README
%doc %{docdir}/LICENCE
%doc %{docdir}/INSTALL
%doc %{docdir}/CHANGELOG

%dir %{docdir}/doc/
%dir %{docdir}/doc/html
%{docdir}/doc/html/*.html
%{docdir}/doc/html/*.png
%{docdir}/doc/html/*.css
%dir %{docdir}/doc/X3DSpecs
%dir %{docdir}/doc/X3DSpecs/Images
%dir %{docdir}/doc/X3DSpecs/Part01
%{docdir}/doc/X3DSpecs/*.html
%{docdir}/doc/X3DSpecs/*.gif
%{docdir}/doc/X3DSpecs/*.css
%{docdir}/doc/X3DSpecs/Images/*
%{docdir}/doc/X3DSpecs/Part01/*.html
%{docdir}/doc/X3DSpecs/Part01/components/*

%dir %{docdir}/examples
# %doc %{docdir}/examples/*.html
# %doc %{docdir}/examples/*.pro
%dir %{docdir}/examples/*
%doc %{docdir}/examples/*/*

%changelog
* Wed Jul 28 2004 Yannick Le Goc <legoc@imag.fr> 1.0-0
    - First RPM release.
* Wed May 11 2004 Yannick Le Goc <legoc@imag.fr> 0.6-0
    - First RPM release.
